%define vname %{name}-%{version}
%define LAZYFS_VERSION 0d1d26

%define _sysconfdir /etc

Name:           zero-install
Version:        0.1.27
Release:        1mdk
Summary:        Removes the need to install software

Group:          System/Servers
License:        GPL
URL:            http://0install.net/
Source0:        http://heanet.dl.sourceforge.net/sourceforge/zero-install/%{vname}.tar.gz.gpg
Patch0:		zero-install-0.1.26-build.patch.bz2
Patch1:		zero-install-0.1.26-initscript.patch.bz2
Patch2:		zero-install-0.1.26-noload.patch.bz2
BuildRoot:      %{_tmppath}/%{vname}-%{release}-root
BuildRequires: 	dbus-devel >= 0.20
PreReq:		rpm-helper
Requires:	gnupg wget bzip2 tar gzip
Requires:	dbus
Requires:	lazyfs = %{LAZYFS_VERSION}

%description
The Zero Install system removes the need to install software or libraries by
running all programs from a network filesystem. The filesystem in question is
the Internet as a whole, with an aggressive caching system to make it as fast
as (or faster than) traditional systems such as urpmi repositories, and to
allow for offline use. It doesn't require any central authority to maintain it,
and allows users to run software without needing a root password.

# -----------------------------------------------------------------------------

%prep
# We have to unpack manually because of using GPG
%setup -c -T
cd ..
gpg -o %{vname}.tar.gz %{SOURCE0} || echo Ignoring GPG error
tar --no-same-owner -xzf %{vname}.tar.gz
rm %{vname}.tar.gz
cd %name-%version
%patch0 -p1 -b .build
%patch1 -p1 -b .initscript
%patch2 -p1 -b .noload

# -----------------------------------------------------------------------------

%build
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/rc.d/init.d/
%configure2_5x --with-user=zeroinst --with-distcheck=yes --prefix=/ \
	--with-initdir=%{_sysconfdir}/rc.d/init.d/
%make

# -----------------------------------------------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
DESTDIR="$RPM_BUILD_ROOT" make install
mkdir -p "$RPM_BUILD_ROOT"/var/cache/zero-inst
mv $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/0install $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/zero-install

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%pre
# Add the "zeroinst" user
%_pre_useradd zeroinst /var/cache/zero-inst /sbin/nologin

%post
%_post_service zero-install

%preun
%_preun_service zero-install

%postun
%_postun_userdel zeroinst

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
/bin/0run
/usr/bin/0refresh
/usr/sbin/zero-install
%{_sysconfdir}/rc.d/init.d/zero-install
%attr(755, zeroinst, root) %dir /var/cache/zero-inst
%doc COPYING NEWS README

# -----------------------------------------------------------------------------

%changelog
* Mon Apr  4 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.1.27-1mdk
- New version

* Thu Jan 20 2005 Emmanuel Blindauer <mdk@agat.net> 0.1.26-4mdk
- update the require to the latest lazyfs

* Wed Sep  1 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.1.26-3mdk
- fixed summary
- added a require on the right version of lazyfs
- reworked init script: o mount and unmount the filesystem
			o use standard functions
			o provide a status sub-command

* Wed Sep  1 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.1.26-2mdk
- Requires lazyfs

* Tue Aug 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.1.26-1mdk
- new version

* Sat Jun 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.1.24-1mdk
- initial packaging

* Sat Jun 5 2004 Alastair Porter
- Update to 0.1.23

* Fri Apr 24 2004 Thomas Leonard <tal197[AT]users.sf.net> - 0.1.22-1
- Initial RPM release.
